Bug 1382401 - The web browser preview shows garbled values for Emojis in case of libreoffice calc and impress.
Summary: The web browser preview shows garbled values for Emojis in case of libreoffic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 25
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-06 14:57 UTC by Bhushan Barve
Modified: 2016-10-15 02:50 UTC (History)
6 users (show)

Fixed In Version: libreoffice-5.1.6.1-2.fc24 libreoffice-5.2.2.2-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-14 19:34:16 UTC


Attachments (Terms of Use)
web browser garbled preview for emojis (63.76 KB, image/png)
2016-10-06 14:57 UTC, Bhushan Barve
no flags Details

Description Bhushan Barve 2016-10-06 14:57:10 UTC
Description of problem: The web browser preview shows garbled values for Emojis in case of libreoffice calc and impress. Tried some emojis with libreoffice calc and impress. When the web preview was selected, the emojis were seen garbled. Export to pdf worked fine without any issue. Also the web preview was proper with libreoffice writer. Please refer attached screenshot.


Version-Release number of selected component (if applicable):
libreoffice-core-5.2.2.2-1.fc25.x86_64
Fedora 25

How reproducible:
always

Steps to Reproduce:
1. open libreoffice calc or impress
2. write some emojis using ctrl+shift+e (e.g. ctrl+shift+e+smile)
3. check the web browser preview from menu option.

Actual results:
The web browser preview is garbled for emojis.

Expected results:
The preview should be proper.

Additional info:

Comment 1 Bhushan Barve 2016-10-06 14:57:54 UTC
Created attachment 1207967 [details]
web browser garbled preview for emojis

Comment 2 Caolan McNamara 2016-10-07 08:06:30 UTC
presumably the editeng html code isn't utf-16 correct or something

Comment 3 Fedora Update System 2016-10-12 00:55:41 UTC
libreoffice-5.1.6.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b329607249

Comment 4 Fedora Update System 2016-10-12 01:53:09 UTC
libreoffice-5.2.2.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6edf1b9c0

Comment 5 Fedora Update System 2016-10-14 19:34:16 UTC
libreoffice-5.2.2.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-10-15 02:50:00 UTC
libreoffice-5.1.6.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.